<script setup lang="ts">
import { useDetail } from "../config/detail";
import { detailProps } from "../types";
import { SALE_COLUMNS } from "/@/utils/details/sale";
import BasicDescriptions from "/@/components/BasicDescriptions";

const props = defineProps(detailProps);
defineEmits(["map-offset-top"]);

const { data, code, defaultRef } = useDetail(props);
</script>

<template>
  <BasicDescriptions
    :show="code === '0'"
    ref="defaultRef"
    :data="data"
    :columns="SALE_COLUMNS"
    :col-number="3"
  />
</template>
